package com.hzya.frame.plugin.lets.u8cdto;

/**
 * 采购入库单表体
 *
 * @author liuyang
 */
public class PurchaseReceiptBodyDto {
    private String bonroadflag;
    private String bsourcelargess;
    private String castunitid;
    private String ccorrespondcode;
    private String cfirstbillbid;
    private String cfirstbillhid;
    private String cfirsttype;
    private String cinventoryid;
    private String cprojectid;
    private String cprojectphaseid;
    private String crowno;
    private String csourcebillbid;
    private String csourcebillhid;
    private String csourcetype;
    private String cvendorid;
    private String dbizdate;
    private String dvalidate;
    private String flargess;
    private String hsl;
    private String locator;
    private String ninassistnum;
    private String ningrossnum;
    private String ninnum;
    private String nmny;
    private String nneedinassistnum;
    private String nprice;
    private String nshouldinnum;
    private String ntarenum;
    private String ntaxmny;
    private String ntaxprice;
    private String pk_defdoc1;
    private String pk_defdoc10;
    private String pk_defdoc11;
    private String pk_defdoc12;
    private String pk_defdoc13;
    private String pk_defdoc14;
    private String pk_defdoc15;
    private String pk_defdoc16;
    private String pk_defdoc17;
    private String pk_defdoc18;
    private String pk_defdoc19;
    private String pk_defdoc2;
    private String pk_defdoc20;
    private String pk_defdoc3;
    private String pk_defdoc4;
    private String pk_defdoc5;
    private String pk_defdoc6;
    private String pk_defdoc7;
    private String pk_defdoc8;
    private String pk_defdoc9;
    private String pk_invoicecorp;
    private String scrq;
    private String serial;
    private String vbatchcode;
    private String vbodynote2;
    private String vfirstbillcode;
    private String vfree1;
    private String vfree2;
    private String vfree3;
    private String vfree4;
    private String vfree5;
    private String vnotebody;
    private String vostatus;
    private String vsourcebillcode;
    private String vsourcerowno;
    private String vtransfercode;
    private String vuserdef1;
    private String vuserdef10;
    private String vuserdef11;
    private String vuserdef12;
    private String vuserdef13;
    private String vuserdef14;
    private String vuserdef15;
    private String vuserdef16;
    private String vuserdef17;
    private String vuserdef18;
    private String vuserdef19;
    private String vuserdef2;
    private String vuserdef3;
    private String vuserdef4;
    private String vuserdef5;
    private String vuserdef6;
    private String vuserdef7;
    private String vuserdef8;
    private String vuserdef9;
    private String vvehiclecode;

    //需求公司
    private String pk_reqcorp;

    //加工费：单价*实收数量
    private String processcost;

    //单据行是否条码关闭
    private String bbarcodeclose;

    //调拨出库传ia标志
    private String btoouttoiaflag;

    //币种
    private String ccurrencytypeid;

    //需求库存组织
    private String pk_reqstoorg;

    //公司
    private String pk_corp;

    //扣税类别
    private String ndiscounttaxtype;

    //税率
    private String nictaxrate;

    //客商基本档案id
    private String pk_cubasdoc;

    //库存组织id
    private String pk_bodycalbody;

    private String cbodywarehouseid;

    private String cbodybilltypecode;

    public String getCbodybilltypecode() {
        return cbodybilltypecode;
    }

    public void setCbodybilltypecode(String cbodybilltypecode) {
        this.cbodybilltypecode = cbodybilltypecode;
    }

    public String getCbodywarehouseid() {
        return cbodywarehouseid;
    }

    public void setCbodywarehouseid(String cbodywarehouseid) {
        this.cbodywarehouseid = cbodywarehouseid;
    }

    public String getPk_bodycalbody() {
        return pk_bodycalbody;
    }

    public void setPk_bodycalbody(String pk_bodycalbody) {
        this.pk_bodycalbody = pk_bodycalbody;
    }

    public String getPk_cubasdoc() {
        return pk_cubasdoc;
    }

    public void setPk_cubasdoc(String pk_cubasdoc) {
        this.pk_cubasdoc = pk_cubasdoc;
    }

    public String getNictaxrate() {
        return nictaxrate;
    }

    public void setNictaxrate(String nictaxrate) {
        this.nictaxrate = nictaxrate;
    }

    public String getNdiscounttaxtype() {
        return ndiscounttaxtype;
    }

    public void setNdiscounttaxtype(String ndiscounttaxtype) {
        this.ndiscounttaxtype = ndiscounttaxtype;
    }

    public String getPk_corp() {
        return pk_corp;
    }

    public void setPk_corp(String pk_corp) {
        this.pk_corp = pk_corp;
    }

    public String getPk_reqstoorg() {
        return pk_reqstoorg;
    }

    public void setPk_reqstoorg(String pk_reqstoorg) {
        this.pk_reqstoorg = pk_reqstoorg;
    }

    public String getCcurrencytypeid() {
        return ccurrencytypeid;
    }

    public void setCcurrencytypeid(String ccurrencytypeid) {
        this.ccurrencytypeid = ccurrencytypeid;
    }

    public String getBtoouttoiaflag() {
        return btoouttoiaflag;
    }

    public void setBtoouttoiaflag(String btoouttoiaflag) {
        this.btoouttoiaflag = btoouttoiaflag;
    }

    public String getBbarcodeclose() {
        return bbarcodeclose;
    }

    public void setBbarcodeclose(String bbarcodeclose) {
        this.bbarcodeclose = bbarcodeclose;
    }

    public String getProcesscost() {
        return processcost;
    }

    public void setProcesscost(String processcost) {
        this.processcost = processcost;
    }

    public String getPk_reqcorp() {
        return pk_reqcorp;
    }

    public void setPk_reqcorp(String pk_reqcorp) {
        this.pk_reqcorp = pk_reqcorp;
    }

    public String getBonroadflag() {
        return bonroadflag;
    }

    public void setBonroadflag(String bonroadflag) {
        this.bonroadflag = bonroadflag;
    }

    public String getBsourcelargess() {
        return bsourcelargess;
    }

    public void setBsourcelargess(String bsourcelargess) {
        this.bsourcelargess = bsourcelargess;
    }

    public String getCastunitid() {
        return castunitid;
    }

    public void setCastunitid(String castunitid) {
        this.castunitid = castunitid;
    }

    public String getCcorrespondcode() {
        return ccorrespondcode;
    }

    public void setCcorrespondcode(String ccorrespondcode) {
        this.ccorrespondcode = ccorrespondcode;
    }

    public String getCfirstbillbid() {
        return cfirstbillbid;
    }

    public void setCfirstbillbid(String cfirstbillbid) {
        this.cfirstbillbid = cfirstbillbid;
    }

    public String getCfirstbillhid() {
        return cfirstbillhid;
    }

    public void setCfirstbillhid(String cfirstbillhid) {
        this.cfirstbillhid = cfirstbillhid;
    }

    public String getCfirsttype() {
        return cfirsttype;
    }

    public void setCfirsttype(String cfirsttype) {
        this.cfirsttype = cfirsttype;
    }

    public String getCinventoryid() {
        return cinventoryid;
    }

    public void setCinventoryid(String cinventoryid) {
        this.cinventoryid = cinventoryid;
    }

    public String getCprojectid() {
        return cprojectid;
    }

    public void setCprojectid(String cprojectid) {
        this.cprojectid = cprojectid;
    }

    public String getCprojectphaseid() {
        return cprojectphaseid;
    }

    public void setCprojectphaseid(String cprojectphaseid) {
        this.cprojectphaseid = cprojectphaseid;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getCsourcebillbid() {
        return csourcebillbid;
    }

    public void setCsourcebillbid(String csourcebillbid) {
        this.csourcebillbid = csourcebillbid;
    }

    public String getCsourcebillhid() {
        return csourcebillhid;
    }

    public void setCsourcebillhid(String csourcebillhid) {
        this.csourcebillhid = csourcebillhid;
    }

    public String getCsourcetype() {
        return csourcetype;
    }

    public void setCsourcetype(String csourcetype) {
        this.csourcetype = csourcetype;
    }

    public String getCvendorid() {
        return cvendorid;
    }

    public void setCvendorid(String cvendorid) {
        this.cvendorid = cvendorid;
    }

    public String getDbizdate() {
        return dbizdate;
    }

    public void setDbizdate(String dbizdate) {
        this.dbizdate = dbizdate;
    }

    public String getDvalidate() {
        return dvalidate;
    }

    public void setDvalidate(String dvalidate) {
        this.dvalidate = dvalidate;
    }

    public String getFlargess() {
        return flargess;
    }

    public void setFlargess(String flargess) {
        this.flargess = flargess;
    }

    public String getHsl() {
        return hsl;
    }

    public void setHsl(String hsl) {
        this.hsl = hsl;
    }

    public String getLocator() {
        return locator;
    }

    public void setLocator(String locator) {
        this.locator = locator;
    }

    public String getNinassistnum() {
        return ninassistnum;
    }

    public void setNinassistnum(String ninassistnum) {
        this.ninassistnum = ninassistnum;
    }

    public String getNingrossnum() {
        return ningrossnum;
    }

    public void setNingrossnum(String ningrossnum) {
        this.ningrossnum = ningrossnum;
    }

    public String getNinnum() {
        return ninnum;
    }

    public void setNinnum(String ninnum) {
        this.ninnum = ninnum;
    }

    public String getNmny() {
        return nmny;
    }

    public void setNmny(String nmny) {
        this.nmny = nmny;
    }

    public String getNneedinassistnum() {
        return nneedinassistnum;
    }

    public void setNneedinassistnum(String nneedinassistnum) {
        this.nneedinassistnum = nneedinassistnum;
    }

    public String getNprice() {
        return nprice;
    }

    public void setNprice(String nprice) {
        this.nprice = nprice;
    }

    public String getNshouldinnum() {
        return nshouldinnum;
    }

    public void setNshouldinnum(String nshouldinnum) {
        this.nshouldinnum = nshouldinnum;
    }

    public String getNtarenum() {
        return ntarenum;
    }

    public void setNtarenum(String ntarenum) {
        this.ntarenum = ntarenum;
    }

    public String getNtaxmny() {
        return ntaxmny;
    }

    public void setNtaxmny(String ntaxmny) {
        this.ntaxmny = ntaxmny;
    }

    public String getNtaxprice() {
        return ntaxprice;
    }

    public void setNtaxprice(String ntaxprice) {
        this.ntaxprice = ntaxprice;
    }

    public String getPk_defdoc1() {
        return pk_defdoc1;
    }

    public void setPk_defdoc1(String pk_defdoc1) {
        this.pk_defdoc1 = pk_defdoc1;
    }

    public String getPk_defdoc10() {
        return pk_defdoc10;
    }

    public void setPk_defdoc10(String pk_defdoc10) {
        this.pk_defdoc10 = pk_defdoc10;
    }

    public String getPk_defdoc11() {
        return pk_defdoc11;
    }

    public void setPk_defdoc11(String pk_defdoc11) {
        this.pk_defdoc11 = pk_defdoc11;
    }

    public String getPk_defdoc12() {
        return pk_defdoc12;
    }

    public void setPk_defdoc12(String pk_defdoc12) {
        this.pk_defdoc12 = pk_defdoc12;
    }

    public String getPk_defdoc13() {
        return pk_defdoc13;
    }

    public void setPk_defdoc13(String pk_defdoc13) {
        this.pk_defdoc13 = pk_defdoc13;
    }

    public String getPk_defdoc14() {
        return pk_defdoc14;
    }

    public void setPk_defdoc14(String pk_defdoc14) {
        this.pk_defdoc14 = pk_defdoc14;
    }

    public String getPk_defdoc15() {
        return pk_defdoc15;
    }

    public void setPk_defdoc15(String pk_defdoc15) {
        this.pk_defdoc15 = pk_defdoc15;
    }

    public String getPk_defdoc16() {
        return pk_defdoc16;
    }

    public void setPk_defdoc16(String pk_defdoc16) {
        this.pk_defdoc16 = pk_defdoc16;
    }

    public String getPk_defdoc17() {
        return pk_defdoc17;
    }

    public void setPk_defdoc17(String pk_defdoc17) {
        this.pk_defdoc17 = pk_defdoc17;
    }

    public String getPk_defdoc18() {
        return pk_defdoc18;
    }

    public void setPk_defdoc18(String pk_defdoc18) {
        this.pk_defdoc18 = pk_defdoc18;
    }

    public String getPk_defdoc19() {
        return pk_defdoc19;
    }

    public void setPk_defdoc19(String pk_defdoc19) {
        this.pk_defdoc19 = pk_defdoc19;
    }

    public String getPk_defdoc2() {
        return pk_defdoc2;
    }

    public void setPk_defdoc2(String pk_defdoc2) {
        this.pk_defdoc2 = pk_defdoc2;
    }

    public String getPk_defdoc20() {
        return pk_defdoc20;
    }

    public void setPk_defdoc20(String pk_defdoc20) {
        this.pk_defdoc20 = pk_defdoc20;
    }

    public String getPk_defdoc3() {
        return pk_defdoc3;
    }

    public void setPk_defdoc3(String pk_defdoc3) {
        this.pk_defdoc3 = pk_defdoc3;
    }

    public String getPk_defdoc4() {
        return pk_defdoc4;
    }

    public void setPk_defdoc4(String pk_defdoc4) {
        this.pk_defdoc4 = pk_defdoc4;
    }

    public String getPk_defdoc5() {
        return pk_defdoc5;
    }

    public void setPk_defdoc5(String pk_defdoc5) {
        this.pk_defdoc5 = pk_defdoc5;
    }

    public String getPk_defdoc6() {
        return pk_defdoc6;
    }

    public void setPk_defdoc6(String pk_defdoc6) {
        this.pk_defdoc6 = pk_defdoc6;
    }

    public String getPk_defdoc7() {
        return pk_defdoc7;
    }

    public void setPk_defdoc7(String pk_defdoc7) {
        this.pk_defdoc7 = pk_defdoc7;
    }

    public String getPk_defdoc8() {
        return pk_defdoc8;
    }

    public void setPk_defdoc8(String pk_defdoc8) {
        this.pk_defdoc8 = pk_defdoc8;
    }

    public String getPk_defdoc9() {
        return pk_defdoc9;
    }

    public void setPk_defdoc9(String pk_defdoc9) {
        this.pk_defdoc9 = pk_defdoc9;
    }

    public String getPk_invoicecorp() {
        return pk_invoicecorp;
    }

    public void setPk_invoicecorp(String pk_invoicecorp) {
        this.pk_invoicecorp = pk_invoicecorp;
    }

    public String getScrq() {
        return scrq;
    }

    public void setScrq(String scrq) {
        this.scrq = scrq;
    }

    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    public String getVbatchcode() {
        return vbatchcode;
    }

    public void setVbatchcode(String vbatchcode) {
        this.vbatchcode = vbatchcode;
    }

    public String getVbodynote2() {
        return vbodynote2;
    }

    public void setVbodynote2(String vbodynote2) {
        this.vbodynote2 = vbodynote2;
    }

    public String getVfirstbillcode() {
        return vfirstbillcode;
    }

    public void setVfirstbillcode(String vfirstbillcode) {
        this.vfirstbillcode = vfirstbillcode;
    }

    public String getVfree1() {
        return vfree1;
    }

    public void setVfree1(String vfree1) {
        this.vfree1 = vfree1;
    }

    public String getVfree2() {
        return vfree2;
    }

    public void setVfree2(String vfree2) {
        this.vfree2 = vfree2;
    }

    public String getVfree3() {
        return vfree3;
    }

    public void setVfree3(String vfree3) {
        this.vfree3 = vfree3;
    }

    public String getVfree4() {
        return vfree4;
    }

    public void setVfree4(String vfree4) {
        this.vfree4 = vfree4;
    }

    public String getVfree5() {
        return vfree5;
    }

    public void setVfree5(String vfree5) {
        this.vfree5 = vfree5;
    }

    public String getVnotebody() {
        return vnotebody;
    }

    public void setVnotebody(String vnotebody) {
        this.vnotebody = vnotebody;
    }

    public String getVostatus() {
        return vostatus;
    }

    public void setVostatus(String vostatus) {
        this.vostatus = vostatus;
    }

    public String getVsourcebillcode() {
        return vsourcebillcode;
    }

    public void setVsourcebillcode(String vsourcebillcode) {
        this.vsourcebillcode = vsourcebillcode;
    }

    public String getVsourcerowno() {
        return vsourcerowno;
    }

    public void setVsourcerowno(String vsourcerowno) {
        this.vsourcerowno = vsourcerowno;
    }

    public String getVtransfercode() {
        return vtransfercode;
    }

    public void setVtransfercode(String vtransfercode) {
        this.vtransfercode = vtransfercode;
    }

    public String getVuserdef1() {
        return vuserdef1;
    }

    public void setVuserdef1(String vuserdef1) {
        this.vuserdef1 = vuserdef1;
    }

    public String getVuserdef10() {
        return vuserdef10;
    }

    public void setVuserdef10(String vuserdef10) {
        this.vuserdef10 = vuserdef10;
    }

    public String getVuserdef11() {
        return vuserdef11;
    }

    public void setVuserdef11(String vuserdef11) {
        this.vuserdef11 = vuserdef11;
    }

    public String getVuserdef12() {
        return vuserdef12;
    }

    public void setVuserdef12(String vuserdef12) {
        this.vuserdef12 = vuserdef12;
    }

    public String getVuserdef13() {
        return vuserdef13;
    }

    public void setVuserdef13(String vuserdef13) {
        this.vuserdef13 = vuserdef13;
    }

    public String getVuserdef14() {
        return vuserdef14;
    }

    public void setVuserdef14(String vuserdef14) {
        this.vuserdef14 = vuserdef14;
    }

    public String getVuserdef15() {
        return vuserdef15;
    }

    public void setVuserdef15(String vuserdef15) {
        this.vuserdef15 = vuserdef15;
    }

    public String getVuserdef16() {
        return vuserdef16;
    }

    public void setVuserdef16(String vuserdef16) {
        this.vuserdef16 = vuserdef16;
    }

    public String getVuserdef17() {
        return vuserdef17;
    }

    public void setVuserdef17(String vuserdef17) {
        this.vuserdef17 = vuserdef17;
    }

    public String getVuserdef18() {
        return vuserdef18;
    }

    public void setVuserdef18(String vuserdef18) {
        this.vuserdef18 = vuserdef18;
    }

    public String getVuserdef19() {
        return vuserdef19;
    }

    public void setVuserdef19(String vuserdef19) {
        this.vuserdef19 = vuserdef19;
    }

    public String getVuserdef2() {
        return vuserdef2;
    }

    public void setVuserdef2(String vuserdef2) {
        this.vuserdef2 = vuserdef2;
    }

    public String getVuserdef3() {
        return vuserdef3;
    }

    public void setVuserdef3(String vuserdef3) {
        this.vuserdef3 = vuserdef3;
    }

    public String getVuserdef4() {
        return vuserdef4;
    }

    public void setVuserdef4(String vuserdef4) {
        this.vuserdef4 = vuserdef4;
    }

    public String getVuserdef5() {
        return vuserdef5;
    }

    public void setVuserdef5(String vuserdef5) {
        this.vuserdef5 = vuserdef5;
    }

    public String getVuserdef6() {
        return vuserdef6;
    }

    public void setVuserdef6(String vuserdef6) {
        this.vuserdef6 = vuserdef6;
    }

    public String getVuserdef7() {
        return vuserdef7;
    }

    public void setVuserdef7(String vuserdef7) {
        this.vuserdef7 = vuserdef7;
    }

    public String getVuserdef8() {
        return vuserdef8;
    }

    public void setVuserdef8(String vuserdef8) {
        this.vuserdef8 = vuserdef8;
    }

    public String getVuserdef9() {
        return vuserdef9;
    }

    public void setVuserdef9(String vuserdef9) {
        this.vuserdef9 = vuserdef9;
    }

    public String getVvehiclecode() {
        return vvehiclecode;
    }

    public void setVvehiclecode(String vvehiclecode) {
        this.vvehiclecode = vvehiclecode;
    }
}